Bug 103681 - Exporting a project as a source RPM does not copy backup files
Summary: Exporting a project as a source RPM does not copy backup files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rick Moseley
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-03 20:31 UTC by Rick Moseley
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 18:44:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Moseley 2003-09-03 20:31:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When an Eclipse C/C++ project is exported to a source rpm the "-b" option is
specified when the patch is created which causes a backup to be created of any
file that was modified between this source rpm creation and the previous source
rpm creation.  These files are denoted by having the "patch tag" appended to
their names.  A method needs to be created which will parse the project and find
any files with the "patch tag" appended and copy them back to the project.  This
will ensure that the next time an srpm is created from this project, all the
proper files will be present.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. modify a source file and export an Eclipse C/C++ project as a source rpm,
remember what was entered in the "patch tag" field and what file was modified
2. when step 1 is complete, verify that the "filename" that was modified does
not have a "filename.patchtag" entry anywhere in the project
3.
    

Actual Results:  No file of the name "filename.patchtag" was found

Expected Results:  A file with the name of "filename.patchtag" should be found

Additional info:

Comment 1 Rick Moseley 2003-09-15 18:44:02 UTC
have checked in a workaround for now where the "%patch" statements that the RPM
plugin adds to the spec file do not have the "-b" option.  I know what the
correct solution is now and am working on a fix.


Note You need to log in before you can comment on or make changes to this bug.